Patchwork gnu: Add python2-rpython.

login
register
mail settings
Submitter Alex Vong
Date Oct. 29, 2016, 11:28 a.m.
Message ID <87vawb1jjy.fsf@gmail.com>
Download mbox | patch
Permalink /patch/16938/
State New
Headers show

Comments

Alex Vong - Oct. 29, 2016, 11:28 a.m.
Hello,

This patch adds the RPython toolchain, which can be used to implement
interpreters and virtual machines, for examples Pypy. Right now it
supports only Python 2.
Cheers,
Alex
Hartmut Goebel - Oct. 29, 2016, 2:10 p.m.
Am 29.10.2016 um 13:28 schrieb Alex Vong:
> +       (uri (string-append
> +             "https://pypi.python.org/packages/00/2e/"
> +             "69319934a6049b368c05845eaab100ecea2213a96e59fb14416a0a6c5648/"
> +             "rpython-"
> +             version
> +             ".tar.gz"))

Please try to use "pypi-url" here like.

> +    (propagated-inputs
> +     `(("python2-setuptools" ,python2-setuptools)))

Please add a comment why does this have to be propagated.

Patch

From 685faf110cddbf80b3a390b86baa1e5b5cee3b80 Mon Sep 17 00:00:00 2001
From: Alex Vong <alexvong1995@gmail.com>
Date: Sat, 29 Oct 2016 18:10:00 +0800
Subject: [PATCH] gnu: Add python2-rpython.

* gnu/packages/python.scm (python2-rpython): New variable.
---
 gnu/packages/python.scm | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index f7485ad..d25d469 100644
--- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -29,6 +29,7 @@ 
 ;;; Copyright © 2016 Marius Bakke <mbakke@fastmail.com>
 ;;; Copyright © 2016 Stefan Reichoer <stefan@xsteve.at>
 ;;; Copyright © 2016 Dylan Jeffers <sapientech@sapientech@openmailbox.org>
+;;; Copyright © 2016 Alex Vong <alexvong1995@gmail.com>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -3150,6 +3151,37 @@  writing C extensions for Python as easy as Python itself.")
     (inputs
      `(("python-2" ,python-2))))) ; this is not automatically changed
 
+;;; The RPython toolchain currently does not support Python 3.
+(define-public python2-rpython
+  (package
+    (name "python2-rpython")
+    (version "0.1.4")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append
+             "https://pypi.python.org/packages/00/2e/"
+             "69319934a6049b368c05845eaab100ecea2213a96e59fb14416a0a6c5648/"
+             "rpython-"
+             version
+             ".tar.gz"))
+       (sha256
+        (base32
+         "07pps06fq4c4wmi5ii0sgh9zgwniz5y7frqhm28g3a154l163fxc"))))
+    (build-system python-build-system)
+    (arguments `(#:python ,python-2))
+    (propagated-inputs
+     `(("python2-setuptools" ,python2-setuptools)))
+    (native-inputs
+     ;; needed for running tests
+     `(("python2-pytest" ,python2-pytest)))
+    (home-page "https://rpython.readthedocs.org")
+    (synopsis "Framework for implementing interpreters and virtual machines")
+    (description "RPython is a translation and support framework for
+producing implementations of dynamic languages, emphasizing a clean separation
+between language specification and implementation aspects.")
+    (license license:expat)))
+
 ;; This version of numpy is missing the documentation and is only used to
 ;; build matplotlib which is required to build numpy's documentation.
 (define python-numpy-bootstrap
-- 
2.10.1